Through hard work, good fortune and a relentless focus on our customer, we have enjoyed great success
over the past thirty-four years. For that we are thankful. We have also learned that keeping our focus on
the customer isnt only about merchandise and service. Sometimes, taken just one step further, we can do
things with and for our customers that serve not only them, but others in our community as well. For
example:
 Responding to a specific customer request this past year, we offered our customers an opportunity
to truly Support Our Troops through the purchase of magnetic ribbons, and through this effort we
have raised over $400,000 for the United Service Organizations (www.uso.org).
 We have partnered with the National Womens Health Resource Center, a non-profit, independent
organization dedicated to educating women about their health (www.healthywomen.org), and we
have become a member of its Corporate Advisory Board. Together, we are planning informational
programs for our stores and website, and we are sponsoring various educational events at certain
womens tennis tournaments on the Sony Ericsson WTA Tour, all so as to heighten the awareness of
womens health and wellness among our customers and the public. Hopefully we can play a role in
encouraging women of all ages to embrace a healthy, active lifestyle.
In these undertakings, as in all things, we are enormously grateful to our associates, who throw themselves
into whatever is placed before them with confidence, enthusiasm and ability. If we have made one
customer happy, if we have touched the life of one soldier or encouraged one woman to a more serious
consideration of her and her familys health, it should be credited to our people. Weve always said it,
and it remains true.

Everything we do, we are able to do because of the people we have the privilege to work with daily. Our people have
again performed in a way that has enabled us to be proud of our accomplishments. On the following pages, we discuss some
of the highlights from our recently completed fiscal 2004. We also will provide you with the information you need in connection
with our upcoming Annual Meeting. Our goal again is to present you this annual information in as straightforward and
cost efficient a manner as possible. So once more we have combined our Annual Report, Notice of Annual Meeting and Proxy
Statement into this single booklet.
Fiscal 2004 was our 34th year of operations, and our 13th as a public company. As set forth below, the results of our fiscal
2004 were our best ever. As we did last year, we ask you again to take a look at the chart of selected financial data which
appears on the inside front cover of this booklet, opposite this letter, which details our growth over our 13 years as a public
company. At the end of our first fiscal year as a public company, in February 1993, we had 38 stores. Net earnings were
$15,960,000 on net sales of $216,411,000.
For comparison, here are some of the highlights from fiscal 2004:
 Net earnings for the year ended February 26, 2005 totaled $505 million ($1.65 per share), exceeding fiscal 2003 net earnings
of $399.5 million ($1.31 per share) by approximately 26.4%.
 Net sales for fiscal 2004 were $5.148 billion, an increase of approximately 15.0% from the prior years sales of $4.478 billion.
 Comparable store sales for fiscal 2004 increased by approximately 4.5%.
 During fiscal 2004, we opened 85 new Bed Bath & Beyond stores. We also opened two Christmas Tree Shops and five
Harmon stores. We ended the year with 660 Bed Bath & Beyond stores, 26 Christmas Tree Shops, and 35 Harmon stores.
 We returned $350 million in value to our shareholders through our share repurchase program completed during our fiscal
fourth quarter.
 Cash and investments grew to approximately $1.2 billion. This is after funding our share repurchase program, our expansion
program and our ongoing infrastructure enhancements.
We cannot give enough credit to our people and the culture they have created for the successes of the prior year.
However, consistent with our culture, our focus is not on what has been, but rather on what remains to be done and on what
is possible. Even though were pleased with our results, spending too much time looking back does us little good. We are
already looking forward. What we know, and what the numbers to the left should say to you quite clearly, is this Company
has never been in a better position than it is right now.
While maintaining our solid balance sheet, positive cash flow and the generation of strong earnings will continue to be
our primary goals, the position were in as a Company is expressed in more than mere numbers. We cannot quantify what it
may mean to our servicemen and women and their families that, through the support of our customers, we have been able to
assist the USO. We may never know whether the health information we provide access to through our affiliation with the
National Womens Health Resource Center will encourage our customers and their families to adopt a more health-conscious
lifestyle. But it is through these actions that we reaffirm the values that have made our Company so special. It is a pleasure
and a privilege to be in the position we are in and to try and make a positive difference.
Simply put, we would like to thank each of our associates for the outstanding efforts that have yielded the results weve
been able to discuss with you through this report. In addition, we thank each of our customers and business partners for their
continuing support and their contributions in moving us forward.